# Interface Style

All Known Implementing Classes:
  `AbstractKernelDensityPlotter.KDenseStyle, AuxLineStyle, BarStyle, CombineArrayPlotter.CombineArrayStyle, ContourStyle, DefaultStyle, DensityStyle, DensogramPlotter.DensoStyle, FillPlotter.FillStyle, FunctionPlotter.FunctionStyle, GridPlotter.GridStyle, HealpixPlotter.HealpixStyle, HistogramPlotter.HistoStyle, LabelStyle, LineCombineArrayPlotter.LineCombineArrayStyle, LinePlotter.LinesStyle, LineStyle, MarkCombineArrayPlotter.MarkCombineArrayStyle, MarkerStyle, MarkStyle, ShapeStyle, SkyDensityPlotter.SkyDenseStyle, SkyGridPlotter.GridStyle, SpectrogramPlotter.SpectroStyle, SphereGridPlotter.GridStyle, SpotPlotter.SpotStyle, Stats1Plotter.StatsStyle, TracePlotter.TraceStyle`

public interface Style
Defines a style for marking a set of data. This interface currently defines only a method for drawing an example marker for use in a legend, but plot-type-specific classes will probably have to define additional methods.

Note it is essential that Style implementations provide implementations of `equals()` (and hence also of `hashCode()`) for which equality means that styles look the same as each other. An `equals` implementation based on identity (inherited from the behaviour of `Object`) will lead to poor performance of the plotting classes.

Since:
  16 Nov 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.

## Method Details

### getLegendIcon

Icon getLegendIcon()
Returns an icon suitable for displaying in a legend for this style.